/* BdfServer - Copyright (c) 2021-2023 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.ui;

import net.fichotheque.FichothequeConstants;
import fr.exemole.bdfserver.api.ui.options.InputUiOption;
import fr.exemole.bdfserver.api.ui.options.ValueUiOption;


/**
 *
 * @author Vincent Calame
 */
public interface SpecialIncludeUi extends IncludeUi {

    @Override
    public default boolean isModifiableStatus() {
        if (getName().equals(FichothequeConstants.LIAGE_NAME)) {
            return true;
        } else {
            return false;
        }
    }

    @Override
    public default InputUiOption getInputUiOption() {
        return null;
    }

    @Override
    public default ValueUiOption getValueUiOption() {
        return null;
    }


}
